UERRA - Access to wind direction variable seems broken

A toolbox request suggested in the UERRA Dataset page (= not modified by the user), fails to download wind direction data. The error seems related to the name of the variable.

Thank you in advance for your help.

import cdstoolbox as ct

@ct.application(title=‘Download data’)
@ct.output.download()
def download_application():
data = ct.catalogue.retrieve(
‘reanalysis-uerra-europe-single-levels’,
{
‘origin’: ‘uerra_harmonie’,
‘variable’: ‘10m_wind_direction’,
‘year’: ‘2013’,
‘month’: ‘11’,
‘day’: ‘29’,
‘time’: ‘18:00’,
}
)
return data

-------------------------------------------------------------------



 Traceback (most recent call last): File "/opt/cdstoolbox/cdscompute/cdscompute/cdshandlers/services/handler.py", line 55, in handle_request result = cached(context.method, proc, context, context.args, context.kwargs) File "/opt/cdstoolbox/cdscompute/cdscompute/caching.py", line 108, in cached result = proc(context, *context.args, **context.kwargs) File "/opt/cdstoolbox/cdscompute/cdscompute/services.py", line 118, in __call__ return p(*args, **kwargs) File "/opt/cdstoolbox/cdscompute/cdscompute/services.py", line 59, in __call__ return self.proc(context, *args, **kwargs) File "/home/cds/cdsservices/services/retrieve.py", line 201, in execute **retrieve_kwargs File "/opt/cdstoolbox/cdscompute/cdscompute/context.py", line 301, in call return c.call(service, *args, **kwargs).value File "/opt/cdstoolbox/cdsworkflows/cdsworkflows/future.py", line 76, in value raise self._result cdsworkflows.error.ClientError: {'traceback': 'Traceback (most recent call last):\n File "/opt/cdstoolbox/cdscdm/cdscdm/gridded.py", line 199, in convert_variable\n var, convert_to, convert_from\n File "/opt/cdstoolbox/cdscdm/cdscdm/units.py", line 44, in convert_units\n target.values, source_units=source_units, target_units=target_units)\n File "/opt/cdstoolbox/cdscdm/cdscdm/udunits2.py", line 147, in convert_units\n _convert_units_custom(source, source_units, target_units)\n File "/opt/cdstoolbox/cdscdm/cdscdm/udunits2.py", line 114, in _convert_units_custom\n convert_units_inplace(values, source_units, target_units)\n File "/opt/cdstoolbox/cdscdm/cdscdm/udunits2.py", line 125, in convert_units_inplace\n converter = get_converter(source_units, target_units)\n File "/opt/cdstoolbox/cdscdm/cdscdm/udunits2.py", line 76, in get_converter\n source = parse_unit(source_units)\n File "/opt/cdstoolbox/cdscdm/cdscdm/udunits2.py", line 67, in parse_unit\n raise ValueError("Can\'t parse %r" % units)\nValueError: Can\'t parse \'Degree true\'\n\nThe above exception was the direct cause of the following exception:\n\nTraceback (most recent call last):\n File "/opt/cds/cdsinf/python/lib/cdsinf/runner/dispatcher.py", line 616, in handle_request\n context.get("method_config", None))\n File "/opt/cdstoolbox/cdscompute/cdscompute/cdshandlers/services/handler.py", line 55, in handle_request\n result = cached(context.method, proc, context, context.args, context.kwargs)\n File "/opt/cdstoolbox/cdscompute/cdscompute/caching.py", line 108, in cached\n result = proc(context, *context.args, **context.kwargs)\n File "/opt/cdstoolbox/cdscompute/cdscompute/services.py", line 118, in __call__\n return p(*args, **kwargs)\n File "/opt/cdstoolbox/cdscompute/cdscompute/services.py", line 59, in __call__\n return self.proc(context, *args, **kwargs)\n File "/home/cds/cdsservices/services/cdm_translate.py", line 66, in execute\n retrieve_kwargs=retrieve_kwargs\n File "/opt/cdstoolbox/cdscdm/cdscdm/gridded.py", line 763, in open_dataset\n strict=strict, remove_grib=remove_grib\n File "/opt/cdstoolbox/cdscdm/cdscdm/gridded.py", line 528, in transform_dataset\n var = transform_variable(var, var_spec)\n File "/opt/cdstoolbox/cdscdm/cdscdm/gridded.py", line 234, in transform_variable\n raise ValueError(\'Conversion error for variable %r (%r)\' % (var.name, original_var_name)) from exc\nValueError: Conversion error for variable \'wind_direction_10m\' (\'wdir10\')\n'}